rules:
  # Bronze
  action-setup:
    status: exempt
    comment: |
      The integration does not provide any additional actions.
  appropriate-polling: done
  brands: done
  common-modules: done
  config-flow-test-coverage: done
  config-flow: done
  dependency-transparency: done
  docs-actions:
    status: exempt
    comment: |
      The integration does not provide any additional actions.
  docs-high-level-description: done
  docs-installation-instructions: done
  docs-removal-instructions: done
  entity-event-setup:
    status: exempt
    comment: |
      Entities of this integration does not explicitly subscribe to events.
  entity-unique-id: done
  has-entity-name: done
  runtime-data: done
  test-before-configure: done
  test-before-setup: done
  unique-config-entry: done

  # Silver
  action-exceptions:
    status: exempt
    comment: |
      The integration does not provide any additional actions.
  config-entry-unloading: done
  docs-configuration-parameters:
    status: exempt
    comment: |
      The integration does not provide any additional options.
  docs-installation-parameters: done
  entity-unavailable: done
  integration-owner: done
  log-when-unavailable: done
  parallel-updates: done
  reauthentication-flow: done
  test-coverage: done

  # Gold
  devices: done
  diagnostics: done
  discovery-update-info:
    status: exempt
    comment: |
      This integration cannot be discovered, it is a connecting to a cloud service.
  discovery:
    status: exempt
    comment: |
      This integration cannot be discovered, it is a connecting to a cloud service.
  docs-data-update: todo
  docs-examples: todo
  docs-known-limitations: todo
  docs-supported-devices: todo
  docs-supported-functions: todo
  docs-troubleshooting: todo
  docs-use-cases: todo
  dynamic-devices:
    status: exempt
    comment: |
      The integration connects to a single device per configuration entry.
  entity-category: done
  entity-device-class: done
  entity-disabled-by-default: done
  entity-translations: done
  exception-translations: todo
  icon-translations:
    status: exempt
    comment: |
      The integration does not provide any additional icons.
  reconfiguration-flow: todo
  repair-issues:
    status: exempt
    comment: |
      This integration does not raise any repairable issues.
  stale-devices:
    status: exempt
    comment: |
      This integration connect to a single device per configuration entry.

  # Platinum
  async-dependency: done
  inject-websession: done
  strict-typing: done
